/*
	Theme Name: Bisarello
	Author: FKDesign
  Template: hello-elementor
*/

:root {

	--p: 21.6px; /* 21,6px */
	--heading-hero: 120px;  /* 120px */
	--heading-1-plus: 60px;  /* 60,8px */
	--heading-1: 48px;  /* 48px */
	--heading-2: 38px;  /* 38,4px */
	--heading-3: 32px;  /* 32px */
	--heading-4: 28px;  /* 28,8px */
	--heading-5: 25px;  /* 25,6px */
	--heading-6: 22px;  /* 22,4px */
	--heading-7: 18px;  /* 20px */
	--heading-8: 16px;  /* 16px */
	
	--menu: 15px;
	--button: 20px;  /* 20px */
	
	--unit: 1px;
	--spacer: 90px;
	--padding-laterale: 5vw;
}


/*
.elementor-element.e-con-boxed.e-con.elementor-sticky {
	width: calc(100vw - var(--padding-laterale) - var(--padding-laterale))!important;
}
*/

/* Image with 'data' attribute is hidden */
img[data-lazy-src] {
/* we set the opacity to 0 */
   opacity: 0;
}
/* Image without 'data' attribute is (or becomes) visible */
img.lazyloaded {
/* prepare the future animation */
   -webkit-transition: opacity .5s linear 0.2s;
       -moz-transition: opacity .5s linear 0.2s;
                 transition: opacity .5s linear 0.2s;
/* we set the opacity to 1 to do the magic */
   opacity: 1;
}

.elementor-element p {
    margin-block-start: 0;
    margin-block-end: 0;
}



.elementor-nav-menu--main ul li a {
	display: inline-block;
}
.elementor-nav-menu--dropdown ul li a {
	display: inline-flex;
}



.elementor-nav-menu--dropdown .elementor-item.elementor-item-active,
.elementor-nav-menu--dropdown .elementor-item.highlighted,
.elementor-nav-menu--dropdown .elementor-item:focus,
.elementor-nav-menu--dropdown .elementor-item:hover,
.elementor-sub-item.elementor-item-active,
.elementor-sub-item.highlighted,
.elementor-sub-item:focus,
.elementor-sub-item:hover {
    background-color: inherit;
}






.btn-outline.elementor-widget-button.elementor-element a.elementor-button {
    background-color: transparent;
    border: 1px solid #272637;
    border-radius: 0;
    padding: 10px 30px;
    color: #272637;
    font-family: proxima-nova, sans-serif;
    font-weight: 400;
}
	.btn-outline.elementor-widget-button.elementor-element a.elementor-button:hover {
		background-color: #272637;
		color: #FFF;
	}





.btn-sx.elementor-widget-button.elementor-element a.elementor-button,
.elementor-post-navigation__prev a {
	position: relative;
	padding: 5px 10px 5px 30px;
	background-color: transparent;
	border: none;
	font-size: 16px;
	cursor: pointer;
	outline: none;
	font-family: proxima-nova, sans-serif;
}

.btn-sx.elementor-widget-button.elementor-element a.elementor-button::before,
.elementor-post-navigation__prev a::before {
	content: "";
	position: absolute;
	top: 50%;
	left: 0;
	width: 25px;
	height: 1px;
	background-color: black;
	transform: translateY(-50%);
	transition: width 0.3s ease;
}

.btn-sx.elementor-widget-button.elementor-element a.elementor-button:hover::before,
.elementor-post-navigation__prev a:hover::before {
	width: 55px;
}

.btn-sx.elementor-widget-button.elementor-element a.elementor-button:hover,
.elementor-post-navigation__prev a:hover {
	padding-left: 60px;
}

/**/






.btn-dx.elementor-widget-button.elementor-element a.elementor-button,
.elementor-post-navigation__next a {
	position: relative;
	padding: 5px 30px 5px 10px;
	background-color: transparent;
	border: none;
	font-size: 16px;
	cursor: pointer;
	outline: none;
	font-family: proxima-nova, sans-serif;
}

.btn-dx.elementor-widget-button.elementor-element a.elementor-button::before,
.elementor-post-navigation__next a::before {
	content: "";
	position: absolute;
	top: 50%;
	right: 0;
	width: 25px;
	height: 1px;
	background-color: black;
	transform: translateY(-50%);
	transition: width 0.3s ease;
}

.btn-dx.elementor-widget-button.elementor-element a.elementor-button:hover::before,
.elementor-post-navigation__next a:hover::before {
	width: 55px;
}

.btn-dx.elementor-widget-button.elementor-element a.elementor-button:hover,
.elementor-post-navigation__next a:hover {
	padding-right: 60px;
}

/**/









.btn-lato.elementor-widget-button.elementor-element a.elementor-button,
ul.e-n-menu-heading li a,
ul.elementor-nav-menu li a {
	position: relative;
	padding: 5px 10px 5px 30px;
	background-color: transparent;
	border: none;
	font-size: 16px;
	cursor: pointer;
	outline: none;
	font-family: proxima-nova, sans-serif;
}

.btn-lato.elementor-widget-button.elementor-element a.elementor-button::before,
ul.e-n-menu-heading li a::before,
ul.elementor-nav-menu li a::before {
	content: "";
	position: absolute;
	top: 50%;
	left: 0;
	width: 25px;
	height: 1px;
	background-color: black;
	transform: translateY(-50%);
	transition: width 0.3s ease, left 0.3s ease;
}
		ul.e-n-menu-heading li a::before,
		ul.elementor-nav-menu li a::before {
			width: 0px;
			left: 25px;
		}

.btn-lato.elementor-widget-button.elementor-element a.elementor-button:hover::before,
ul.e-n-menu-heading li a:hover::before,
ul.elementor-nav-menu li a:hover::before {
	width: 55px;
	left: -30px;
}
		ul.e-n-menu-heading li a:hover::before,
		ul.elementor-nav-menu li a:hover::before {
			width: 10px;
			left: 15px;
		}
		ul.elementor-nav-menu li a:hover::before {
			left: -15px;
		}


ul.elementor-nav-menu li a {
	text-decoration: none!important;
}


/**/
.btn-lati.elementor-widget-button.elementor-element a.elementor-button {
    position: relative;
    padding: 5px 5px 5px 30px;
    background-color: transparent;
    border: none;
    font-size: 16px;
    cursor: pointer;
    outline: none;
    font-family: proxima-nova, sans-serif;
    margin-right: 25px;
}

.btn-lati.elementor-widget-button.elementor-element a.elementor-button::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  width: 25px;
  height: 1px;
  background-color: black;
  transform: translateY(-50%);
  transition: width 0.3s ease, left 0.3s ease;
}

.btn-lati.elementor-widget-button.elementor-element a.elementor-button::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 0px;
    width: 25px;
    height: 1px;
    background-color: black;
    transform: translate(100%, -50%);
    transition: width 0.3s ease, right 0.3s ease;
}

.btn-lati.elementor-widget-button.elementor-element a.elementor-button:hover::before {
  width: 55px;
  left: -30px;
}

.btn-lati.elementor-widget-button.elementor-element a.elementor-button:hover::after {
    width: 55px;
    right: 0px;
}



.btn-sx-white.elementor-widget-button.elementor-element a.elementor-button::before,
.btn-lato-white.elementor-widget-button.elementor-element a.elementor-button::before,
.btn-lati-white.elementor-widget-button.elementor-element a.elementor-button::before,
.btn-lati-white.elementor-widget-button.elementor-element a.elementor-button::after {
	background-color: white;
}



.wrap-hover-logo {
    position: absolute!important;
    bottom: 0px;
    left: 0px; 
    right: 0;
	opacity: 0;
	transition: all ease 0.5s;
	z-index: 2;
}
.wrap-hover-logo img {
    width: auto;
    max-width: 50%!important;
    height: 100%;
    max-height: 100px;
	filter: grayscale(100%) brightness(0) invert(100%);
}

.box-for-logo:hover .wrap-hover-logo {
	opacity: 1;
}



#sottomenu-filtri .elementor-grid {
    display: flex;
    flex-wrap: wrap;
}

#sottomenu-filtri .elementor-grid {
    display: flex;
    flex-wrap: wrap;
}

#sottomenu-filtri .e-loop-item:hover a,
#sottomenu-filtri .e-loop-item:hover svg path {
    color: #1C395A;
	fill: #1C395A;
}

#sottomenu-filtri.light-hover .e-loop-item:hover a,
#sottomenu-filtri.light-hover .e-loop-item:hover svg path {
    color: #9EC1D8;
	fill: #9EC1D8;
}






#hero-slider .swiper-pagination-bullet {
    width: 30px;
    height: 4px;
    display: inline-block;
    border-radius: 0;
    background: #FFF;
}
#hero-slider .swiper-pagination {
    text-align: left;
    padding-left: var(--padding-laterale);
}








.hover-effect-images .wrap-hover-effect .image-box {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}

.hover-effect-images .wrap-hover-effect .image-box {
	opacity: 0;
	transition: all 0.8s ease-out 0s;
}

.hover-effect-images .wrap-hover-effect .image-box.show {
	opacity: 1;
}


.hover-effect-images .box-hover .elementor-widget-heading.active-link a {
	transition: all 0.5s ease-out 0s;
}
.hover-effect-images.hover-blu .box-hover .elementor-widget-heading.active-link a {
	color: #1C3959;
}
.hover-effect-images.hover-azzurro .box-hover .elementor-widget-heading.active-link a {
	color: #A5C0D6;
}






.elementor-post-navigation .elementor-post-navigation__next.elementor-post-navigation__link {
	width: inherit;
	margin-left: auto;
}

.elementor-post-navigation .elementor-post-navigation__link a {
    transition: all ease 0.3s;
}


	#wrap-burger-menu {
		display: none;
	}




	#wrap-burger-menu [type=button], 
	#wrap-burger-menu [type=submit], 
	#wrap-burger-menu button {
		background-color: transparent;
		border: 0;
		padding: 0;
		border-radius: 0;
	}
	#wrap-burger-menu [type=button]:focus,
	#wrap-burger-menu [type=submit]:focus,
	#wrap-burger-menu button:focus {
		outline: 0;
	}

	#wrap-burger-menu .hamburger-inner,
	#wrap-burger-menu .hamburger-inner:after,
	#wrap-burger-menu .hamburger-inner:before {
		border-radius: 0;
		background-color: #102576;
	}


	#wrap-burger-menu .hamburger-inner,
	#wrap-burger-menu .hamburger-inner:after,
	#wrap-burger-menu .hamburger-inner:before {
		height: 2px;
	}


#wrap-menu-mobile {
    display: none;
    position: fixed;
    top: 0;
    left: -150vw;
    bottom: 0;
    width: 100vw;
    height: 100vh;
    background-color: #FFF;
    z-index: 50;
    padding: 100px 5vw 150px 5vw;
	overflow: auto;
	transition: left ease 0.6s;
	text-transform: uppercase;
}
	#wrap-menu-mobile.open {
		left: 0;
	}
	#wrap-menu-mobile ul.sub-menu.elementor-nav-menu--dropdown {
		padding-bottom: 35px;
	}

	#wrap-menu-mobile .sub-menu {
		text-transform: initial;
	}

	#wrap-menu-mobile ul.elementor-nav-menu--dropdown a, ul.elementor-nav-menu--dropdown a:focus, ul.elementor-nav-menu--dropdown a:hover {
	border: 0px solid transparent;
	}
	
	#wrap-menu-mobile .elementor-item:focus {
		background-color: transparent;
	}

.e-child .elementor-nav-menu--main .elementor-item:hover {
  text-decoration: underline;
}

.brand-list .brand-single:last-child {
	border-right: 1px !important;
}
	.brand-list a .hover,
	.brand-high a .hover {
		position: absolute;
		top: 0;
		right: 0;
		left: 0;
		bottom: 0;
		opacity: 0;
		transition: all ease 0.4s;
		padding: 0;
		margin: 0;
		display: flex;
		justify-content: center;
		align-items: center;
		background-color: #272638e3;
		z-index: 5;
	}
	.brand-list a:hover .hover,
	.brand-high a:hover .hover {
		opacity: 1;
	}
	.brand-list a .hover img,
	.brand-high a .hover img {
		width: 85%;
		filter: brightness(0) invert(1);
	}



@media (max-width: 1300px) {
	:root {

		--menu: 20px;
		
	}
	
	#wrap-menu-main {
		display: none;
	}
	#wrap-burger-menu {
		display: block;
		margin-left: auto;
	}
	#wrap-menu-mobile {
		display: block;
	}
	
  	.brand-list a .hover img,
	.brand-high a .hover img {
		width: 75%;
		filter: brightness(0) invert(1);
	}
	
	#wrap-menu-mobile li>a {
		padding: 20px 0px;
	}
	
}



@media (max-width: 1024px) {
	:root {

		--p: 18px; /* 21,6px */
		--heading-hero: 75px;  /* 120px */
		--heading-1-plus: 52px;  /* 60,8px */
		--heading-1: 42px;  /* 48px */
		--heading-2: 35px;  /* 38,4px */
		--heading-3: 29px;  /* 32px */
		--heading-4: 25px;  /* 28,8px */
		--heading-5: 23px;  /* 25,6px */
		--heading-6: 20px;  /* 22,4px */
		--heading-7: 17px;  /* 20px */
		--heading-8: 15px;  /* 16px */

		--menu: 20px;
		--button: 20px;  /* 20px */

		--unit: 0.9px;
		--spacer: 70px;
		
	}
	
}



@media (max-width: 768px) {
	:root {

		--p: 18px; /* 21,6px */
		--heading-hero: 75px;  /* 120px */
		--heading-1-plus: 52px;  /* 60,8px */
		--heading-1: 42px;  /* 48px */
		--heading-2: 35px;  /* 38,4px */
		--heading-3: 29px;  /* 32px */
		--heading-4: 25px;  /* 28,8px */
		--heading-5: 23px;  /* 25,6px */
		--heading-6: 20px;  /* 22,4px */
		--heading-7: 17px;  /* 20px */
		--heading-8: 15px;  /* 16px */

		--menu: 20px;
		--button: 20px;  /* 20px */

		--unit: 0.65px;
		--spacer: 45px;
		
	}

}
